package com.chelvc.cloud.vehicle.api.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 动态状态类型
 * @ClassName: DynamicStatusType
 * @Author: ygl
 * @Date: 2023/2/26 18:29
 * @Version: 1.0
 */
@Getter
@AllArgsConstructor
public enum DynamicStatusType {

    GOOD(1, "点赞"),
    BAD(2, "踩");

    private Integer value;

    private String desc;

    public static String getDesc(Integer value) {
        for (DynamicStatusType type : DynamicStatusType.values()) {
            if (type.getValue().equals(value)) {
                return type.getDesc();
            }
        }
        return null;
    }
}
