package com.chelvc.cloud.vehicle.api.constant;

import com.chelvc.framework.common.model.Enumeration;

/**
 * 订单状态枚举
 *
 * @author qizai
 * @date 2023/10/19
 */
public enum OrderStatus implements Enumeration {
    /**
     * 所有订单
     */
    ALL("全部"),

    /**
     * 待付款
     */
    WAIT_PAY("待付款"),

    /**
     * 待使用
     */
    WAIT_USE("待使用"),

    /**
     * 待评价
     */
    WAIT_EVALUATE("待评价"),

    /**
     * 已完成
     */
    COMPLETE("已完成"),

    /**
     * 已取消
     */
    CANCELLED("已取消");

    /**
     * 状态描述
     */
    private final String description;

    OrderStatus(String description) {
        this.description = description;
    }
}
