package com.chelvc.cloud.vehicle.api.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 回复类型
 * @ClassName: RecordType
 * @Author: ygl
 * @Date: 2023/2/26 18:32
 * @Version: 1.0
 */
@Getter
@AllArgsConstructor
public enum RecordType {

    DYNAMIC(1, "动态"),
    COMMENT(2, "评论"),
    USER(3, "用户");

    private Integer value;

    private String desc;

    public static RecordType getRecordTypeByValue(Integer value){
        for(RecordType recordType : RecordType.values()){
            if(recordType.getValue() == value){
                return recordType;
            }
        }
        return null;
    }
}
