package com.chelvc.cloud.vehicle.api.constant;

import com.chelvc.framework.common.model.Enumeration;
import lombok.Getter;

/**
 * 用户优惠券状态枚举
 *
 * @author qizai
 * @date 2023/9/8
 */
@Getter
public enum UserCouponStatus implements Enumeration {
    /**
     * 未使用
     */
    UNUSED("未使用"),

    /**
     * 已使用
     */
    USED("已使用"),

    /**
     * 已过期
     */
    EXPIRED("已过期"),

    /**
     * 作废
     */
    CLOSED("作废");

    /**
     * 状态描述
     */
    private final String description;

    UserCouponStatus(String description) {
        this.description = description;
    }
}
