package com.chelvc.cloud.vehicle.api.dto;

import com.chelvc.cloud.uc.api.dto.UserDTO;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 动态评论视图对象
 *
 * @author igl
 * @date 2023-02-25
 */
@Data
public class DynamicCommentDTO implements Serializable {

    private static final long serialVersionUID = 1005652278773682277L;

    /**
     * 唯一标识
     */
    private Long id;

    /**
     * 动态标识
     */
    private Long dynamicId;

    /**
     * 用户标识
     */
    private Long userId;

    /**
     * 父级评论(0表示为根评论)
     */
    private Long parentId;

    /**
     * 评论内容
     */
    private String content;

    /**
     * 评论数
     */
    private Long commentNum;

    /**
     * 点赞数
     */
    private Long goodNum;

    /**
     * 差评数
     */
    private Long badNum;

    /**
     * 状态：0-正常；1-屏蔽
     */
    private Integer status;

    /**
     * 平台状态：0-正常；1-屏蔽
     */
    private Integer platformStatus;

    /**
     * 平台状态：0-待审核；1-已审核
     */
    private Integer examineStatus;

    /**
     * 审核结果：0-未违规；1-疑似违规；2-违规
     */
    private Integer examineResult;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 动态资源
     */
    List<DynamicResourceDTO> resourceVos;

    /**
     * 用户信息
     */
    UserDTO userDTO;
}
