package com.chelvc.cloud.vehicle.api.dto;

import com.chelvc.cloud.uc.api.dto.UserDTO;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 动态信息视图对象
 * @PACKAGE_NAME: net.yeeu.collision.dynamic.service.dto
 * @NAME: DynamicContentDTO
 * @USER: igl
 * @DATE: 2023/8/8 14:50
 */
@Data
@JsonIgnoreProperties(value = {"handler"})
public class DynamicContentDTO implements Serializable {

  private static final long serialVersionUID = -2576747290177271544L;


  /**
   * 唯一标识
   */
  private Long id;

  /**
   * 用户标识
   */
  private Long userId;

  /**
   * 动态类型:1-纯文字；2-图片；3-视频
   */
  private Integer type;

  /**
   * 文字内容
   */
  private String textContent;

  /**
   * 评论数
   */
  private Long commentNum;

  /**
   * 点赞数
   */
  private Long goodNum;

  /**
   * 差评数
   */
  private Long badNum;

  /**
   * 用户查看动态状态：0-未点赞和未踩；1-已点赞；2-已踩
   */
  private Integer clickStatus;

  /**
   * 状态：0-正常；1-屏蔽
   */
  private Integer status;

  /**
   * 平台状态：0-正常；1-屏蔽
   */
  private Integer platformStatus;

  /**
   * 平台状态：0-待审核；1-已审核
   */
  private Integer examineStatus;

  /**
   * 审核结果：0-未违规；1-疑似违规；2-违规
   */
  private Integer examineResult;

  /**
   * 定位
   */
  private String location;

  /**
   * 创建时间
   */
  private Date createTime;

  /**
   * 动态资源
   */
  List<DynamicResourceDTO> resourceVos;

  /**
   * 用户信息
   */
  private UserDTO userDTO;
}
