package com.chelvc.cloud.vehicle.api.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;

/**
 * 动态文件视图对象
 * @PACKAGE_NAME: net.yeeu.collision.dynamic.service.dto
 * @NAME: DynamicResourceDTO
 * @USER: igl
 * @DATE: 2023/8/8 14:53
 */
@Data
@JsonIgnoreProperties(value = {"handler"})
public class DynamicResourceDTO implements Serializable {

  private static final long serialVersionUID = 2178904797700518635L;

  /**
   * 唯一标识
   */
  private Long id;

  /**
   * 动态标识
   */
  private Long dynamicId;

  /**
   * 文件标识
   */
  private String resourceKey;

  /**
   * 请求地址
   */
  private String imageUrlDTO;

  /**
   * 资源首帧
   */
  private String resourceFrame;

  /**
   * 请求地址
   */
  private String frameImageUrlDTO;

  /**
   * 显示顺序
   */
  private Long sort;
}
