package com.chelvc.cloud.vehicle.api.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 收益记录数据模型
 *
 * @author liude
 * @date 2023/12/22
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class IncomeRecordDTO {
    /**
     * 主键
     */
    private Long id;

    /**
     * 邀请用户id
     */
    private Long inviterId;

    /**
     * 被邀请用户id
     */
    private Long inviteeId;

    /**
     * 商品ID
     */
    private Long goodsId;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 配置ID
     */
    private Long configId;

    /**
     * 邀请产生的金额或数量
     */
    private BigDecimal amount;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;


}
