package com.chelvc.cloud.vehicle.api.dto;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 商家认证数据模型
 *
 * @author liude
 * @data 2023/12/10
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantAuthDTO {
    /**
     * 主键
     */
    private Long id;
    private String businessLicenseId; // 营业执照编号
    private String businessLicenseNumber; // 营业执照证件号
    private Date businessLicenseExpirationDate; // 营业执照有效期
    private String idCardNumber; // 身份证号
    private byte[] idCardPhoto; // 身份证照片
    private Date idCardExpirationDate; // 身份证有效期
    private String storeImage; // 店铺图
    private String legalRepresentativeName; // 法人姓名
    private String applicant; // 申请人
    private String legalRepresentativeGender; // 法人性别
    private String mobileNumber; // 手机号
    private String account; // 账号
    private Date accountRegistrationDate; // 账号注册日期
    private String storeType; // 店铺类型
    private String storeName; // 店名
    private String storeAddress; // 店铺地址
    private String businessLicensePhoto; // 经营许可证照片
    private String businessLicenseNumberValid; // 经营许可证号
    private Date businessLicenseExpirationDateValid; // 经营许可证有效期
    private Date applicationTime; // 申请时间
    private String reviewStatus; // 审核状态
    private String reviewer; // 审核人
    private String recommendationUser; // 推荐人
    private Date reviewTime; // 审核时间
}
