package com.chelvc.cloud.vehicle.api.dto;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * 订单中所包含的商品对象 oms_order_item
 * 
 * @author liude
 * @date 2023-11-08
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class OmsOrderItemDTO
{
    private static final long serialVersionUID = 1L;

    /** 订单id */
    private Long orderId;

    /** 订单编号 */
    private String orderSn;

    /** $column.columnComment */
    private Long goodsId;

    /** $column.columnComment */
    private String goodsPic;

    /** $column.columnComment */
    private String goodsName;

    /** $column.columnComment */
    private String goodsBrand;

    /** $column.columnComment */
    private String goodsSn;

    /** 销售价格 */
    private BigDecimal goodsPrice;

    /** 购买数量 */
    private Integer goodsQuantity;

    /** 商品sku编号 */
    private Long goodsSkuId;

    /** 商品sku条码 */
    private String goodsSkuCode;

    /** 商品分类id */
    private Long goodsCategoryId;

    /** 商品促销名称 */
    private String promotionName;

    /** 商品促销分解金额 */
    private BigDecimal promotionAmount;

    /** 优惠券优惠分解金额 */
    private BigDecimal couponAmount;

    /** 积分优惠分解金额 */
    private BigDecimal integrationAmount;

    /** 该商品经过优惠后的分解金额 */
    private BigDecimal realAmount;

    /** $column.columnComment */
    private Long giftIntegration;

    /** $column.columnComment */
    private Integer giftGrowth;

    private String goodsAttr;
}
