package com.chelvc.cloud.vehicle.api.dto;

import com.chelvc.cloud.vehicle.api.constant.CouponType;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.Date;

/**
 * 优惠卷领取记录
 *
 * @author qizai
 * @date 2023/9/8
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class UserCouponDTO implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 用户id
     */
	private Long userId;

    /**
     * 优惠券id
     */
	private Long couponId;

    /**
     * 优惠券类型
     */
    private CouponType type;

    /**
     * 是否已使用
     */
    private Boolean used;

    /**
     * 优惠券
     */
	private CouponDTO couponDTO;
}