package com.chelvc.cloud.vehicle.api.param;

import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 新增动态
 * @ClassName: AddContentDynamicCommentDTO
 * @Author: ygl
 * @Date: 2023/2/25 20:24
 * @Version: 1.0
 */
@Data
public class AddDynamicCommentParam implements Serializable {

    private static final long serialVersionUID = -7143322965220930816L;

    /**
     * 动态标识
     */
    @NotNull(message = "动态标识不能为空")
    private Long dynamicId;

    /**
     * 父级评论(0表示为根评论)
     */
    @NotNull(message = "父级标识不能为空")
    private Long parentId;

    /**
     * 评论内容
     */
    @NotBlank(message = "评论内容不能为空")
    @Length(max = 500, message = "评论字数不能超过500字")
    private String content;

    /**
     * 状态：0-正常；1-屏蔽
     */
    @NotNull(message = "状态：0-正常；1-屏蔽不能为空")
    private Integer status;
}
