package com.chelvc.cloud.vehicle.api.param;

import com.chelvc.cloud.vehicle.api.constant.DynamicContentType;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @Description: 新增动态
 * @ClassName: AddContentDynamicDTO
 * @Author: ygl
 * @Date: 2023/08/08 16:36
 * @Version: 1.0
 */
@Data
public class AddDynamicContentParam implements Serializable {

    private static final long serialVersionUID = 8262952489829187605L;
    /**
     * 文字内容
     */
    @Length(max = 500, message = "动态字数不能超过500字")
    private String textContent;
    /**
     * 状态：0-正常；1-屏蔽
     */
    @NotNull(message = "状态不能为空")
    private Integer status;
    /**
     * 动态类型:1-纯文字；2-图片；3-视频
     */
    @NotNull(message = "动态类型:1-纯文字；2-图片；3-视频")
    private DynamicContentType type;
    /**
     * 动态资源
     */
    private List<AddDynamicResourceParam> list;
    /**
     * 定位
     */
    private String location;

    private Long userId;
}
