package com.chelvc.cloud.vehicle.api.param;

import com.chelvc.cloud.vehicle.api.constant.ActionType;
import com.chelvc.cloud.vehicle.api.constant.DynamicStatusType;
import com.chelvc.cloud.vehicle.api.constant.RecordType;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 动态点赞
 * @ClassName: AddContentEvaluateRecordDTO
 * @Author: ygl
 * @Date: 2023/2/26 18:27
 * @Version: 1.0
 */
@Data
public class AddDynamicEvaluateRecordParam implements Serializable {

    private static final long serialVersionUID = 7181980583910859865L;
    /**
     * 操作类型：1-点赞；2-踩
     */
    @NotNull(message = "操作类型：1-点赞；2-踩不能为空")
    private DynamicStatusType dynamicStatusType;

    /**
     * 内容类型：1-动态；2-评论/回复
     */
    @NotNull(message = "内容类型：1-动态；2-评论/回复不能为空")
    private RecordType recordType;

    /**
     * 点击类型：1-点赞/踩；2-取消赞/取消踩
     */
    @NotNull(message = "点击类型：1-点赞/踩；2-取消赞/取消踩")
    private ActionType actionType;
    /**
     * 内容标识
     */
    @NotNull(message = "内容标识不能为空")
    private Long contentId;

    @NotNull(message = "动态/回复用户标识")
    private Long targetUserId;
}
