package com.chelvc.cloud.vehicle.api.param;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 轮播图数据模型
 *
 * @author liude
 * @date 2023/12/16
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CarouselImagesModifyParam implements Serializable {

    /**
     * 标题
     */
    @NotEmpty(message = "标题不能为空")
    private String title;

    /**
     * 跳转地址
     */
    private String url;

    /**
     * 图片路径
     */
    @NotEmpty(message = "图片不能为空")
    private String viewUrl;

    /**
     * 状态 0- 无效 1-有效
     */
    @NotEmpty(message = "状态不能为空")
    private String status;
    /**
     * 图片描述
     */
    private String remark;
    /**
     * 排序
     */
    @NotNull(message = "排序不能为空")
    private Integer seq;
    /**
     * 适用途径 1-首页
     */
    @NotEmpty(message = "适用途径不能为空")
    private String applyWay;
    /**
     * 开始时间
     */
    private Date startTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 点击量
     */
    private Integer hits;
}
