package com.chelvc.cloud.vehicle.api.param;
import com.chelvc.framework.common.model.Paging;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 轮播图数据模型
 *
 * @author liude
 * @date 2023/12/16
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CarouselImagesPagingParam implements Serializable {

    /**
     * 分页信息
     */
    @NotNull(message = "分页不能为空")
    private Paging paging;

    /**
     * 标题
     */
    private String title;

    /**
     * 跳转地址
     */
    private String url;

    /**
     * 图片路径
     */
    private String viewUrl;

    /**
     * 状态 0- 无效 1-有效
     */
    private String status;
    /**
     * 图片描述
     */
    private String remark;
    /**
     * 排序
     */
    private Integer seq;
    /**
     * 适用途径 1-首页
     */
    private String applyWay;
    /**
     * 开始时间
     */
    private Date startTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 点击量
     */
    private Integer hits;
}
