package com.chelvc.cloud.vehicle.api.param;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 邀请别人消费，邀请人数的不同抽成配置数据模型
 *
 * @author liude
 * @date 2023/12/16
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CommissionConfigModifyParam {

    /**
     * 最小邀请人数
     */
    @NotNull(message = "最小邀请人数不能为空")
    private Integer minInvitees;

    /**
     * 最大邀请人数
     */
    @NotNull(message = "最大邀请人数不能为空")
    private Integer maxInvitees;

    /**
     * 抽成比例
     */
    @NotNull(message = "抽成比例不能为空")
    private BigDecimal commissionRate;


}
