package com.chelvc.cloud.vehicle.api.param;

import com.chelvc.cloud.vehicle.api.constant.CouponClaimType;
import com.chelvc.cloud.vehicle.api.constant.CouponStatus;
import com.chelvc.cloud.vehicle.api.constant.CouponType;
import com.chelvc.framework.common.model.Paging;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * 优惠券信息查询参数
 *
 * @author qizai
 * @date 2023/9/8
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CouponPagingParam implements Serializable {
    /**
     * 分页信息
     */
    @NotNull(message = "分页不能为空")
    private Paging paging;

    /**
     * 关键字
     */
    @Size(max = 100, message = "关键字长度不能大于100")
    private String keyword;

    /**
     * 优惠券类型
     */
    private CouponType couponType;

    /**
     * 优惠券状态
     */
    private CouponStatus couponStatus;

    /**
     * 优惠券领取方式
     */
    private CouponClaimType couponClaimType;

    /**
     * 商家ID
     */
    private Long merchantId;
}
