package com.chelvc.cloud.vehicle.api.param;

import com.chelvc.cloud.vehicle.api.constant.FavoriteType;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * 收藏记录查询参数
 *
 * @author qizai
 * @date 2023/9/9
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class FavoriteQueryParam extends LocationQueryParam {

    /**
     * 偏移收藏记录ID
     */
    @Min(value = 1, message = "偏移收藏记录ID不能小于1")
    private Long offset;

    /**
     * 查询数量
     */
    @NotNull(message = "查询数量不能为空")
    @Min(value = 1, message = "查询数量不能小于1")
    @Max(value = 20, message = "查询数量不能大于20")
    private Integer size;

    /**
     * 收藏类型
     */
    @NotNull(message = "收藏类型不能为空")
    private FavoriteType type;
}
