package com.chelvc.cloud.vehicle.api.param;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 热门搜索数据模型
 *
 * @author liude
 * @data 2023/12/31
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class HotMerchantModifyParam implements Serializable {

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 商家id
     */
    @NotNull(message = "商家id不能为空")
    @Min(value = 1, message = "商家id不能小于1")
    private Long merchantId;

}
