package com.chelvc.cloud.vehicle.api.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 收益记录数据模型
 *
 * @author liude
 * @date 2023/12/22
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class IncomeRecordModifyParam implements Serializable {

    /**
     * 被邀请用户id
     */
    @NotNull(message = "用户id不能为空")
    private Long inviteeId;

    /**
     * 商品ID
     */
    private Long goodsId;

    /**
     * 订单id
     */
    private Long orderId;


}
