package com.chelvc.cloud.vehicle.api.param;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.Date;

/**
 * 商家认证数据模型
 *
 * @author liude
 * @data 2023/12/10
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantAuthModifyParam implements Serializable {
    /**
     * 营业执照编号
     */
    private String businessLicenseId;
    /**
     * 营业执照证件号
     */
    private String businessLicenseNumber;
    /**
     * 营业执照有效期
     */
    private Date businessLicenseExpirationDate;
    /**
     * 身份证号
     */
    private String idCardNumber;
    /**
     * 身份证照片
     */
    private byte[] idCardPhoto;
    /**
     * 身份证有效期
     */
    private Date idCardExpirationDate;
    /**
     * 店铺图
     */
    private String storeImage;
    /**
     * 法人姓名
     */
    private String legalRepresentativeName;
    /**
     * 申请人
     */
    private String applicant;
    /**
     * 法人性别
     */
    private String legalRepresentativeGender;
    /**
     * 手机号
     */
    private String mobileNumber;
    /**
     * 账号
     */
    private String account;
    /**
     * 账号注册日期
     */
    private Date accountRegistrationDate;
    /**
     * 店铺类型
     */
    private String storeType;
    /**
     *店名
     */
    private String storeName;
    /**
     * 店铺地址
     */
    private String storeAddress;
    /**
     * 经营许可证照片
     */
    private String businessLicensePhoto;
    /**
     * 经营许可证号
     */
    private String businessLicenseNumberValid;
    /**
     * 经营许可证有效期
     */
    private Date businessLicenseExpirationDateValid;
    /**
     * 申请时间
     */
    private Date applicationTime;
    /**
     * 审核状态
     */
    private String reviewStatus;
    /**
     * 审核人
     */
    private String reviewer;
    /**
     * 推荐人
     */
    private String recommendationUser;
    /**
     * 审核时间
     */
    private Date reviewTime;
}
