package com.chelvc.cloud.vehicle.api.param;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.Date;

/**
 * 通知配置
 *
 * @author liude
 * @date 2023/12/06
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class NoticeModifyParam implements Serializable {

    /**
     * 标题
     */
    @NotEmpty(message = "标题不能为空")
    private String title;

    /**
     * 正文
     */
    private String centent;

    /**
     * 通知对象
     */
    @NotEmpty(message = "通知对象不能为空")
    private String sendObject;

    /**
     * 状态
     */
    @NotEmpty(message = "状态不能为空")
    private String status;

}
