package com.chelvc.cloud.vehicle.api.param;
import com.chelvc.framework.common.model.Paging;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * 通知配置
 *
 * @author liude
 * @date 2023/12/06
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class NoticePagingParam implements Serializable {

    /**
     * 分页信息
     */
    @NotNull(message = "分页不能为空")
    private Paging paging;

    /**
     * 标题
     */
    @Size(max = 100, message = "标题长度不能大于100")
    private String title;

    /**
     * 状态
     */
    private String status;

}
