package com.chelvc.cloud.vehicle.api.param;

import com.chelvc.cloud.vehicle.api.constant.OrderStatus;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 订单查询参数
 *
 * @author qizai
 * @date 2023/10/19
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class OrderQueryParam implements Serializable {

    /**
     * 偏移订单ID
     */
    @Min(value = 1, message = "偏移订单ID不能小于1")
    private Long offset;

    /**
     * 查询数量
     */
    @NotNull(message = "查询数量不能为空")
    @Min(value = 1, message = "查询数量不能小于1")
    @Max(value = 20, message = "查询数量不能大于20")
    private Integer size;

    /**
     * 订单状态
     */
    @NotNull(message = "订单状态不能为空")
    private OrderStatus orderStatus;
}
