package com.chelvc.cloud.vehicle.api.param;

import lombok.Data;

import java.io.Serializable;

/**
 * 后台动态列表查询
 * @PACKAGE_NAME: net.yeeu.collision.dynamic.params
 * @NAME: QueryManagerContentDynamicParam
 * @USER: igl
 * @DATE: 2023/8/8 15:00
 */
@Data
public class QueryAdminDynamicParam implements Serializable {

  private static final long serialVersionUID = -8514033726485805559L;

  /**
   * 搜索关键字
   */
  private String keyWord;

  /**
   * 开始时间
   */
  private String startTime;

  /**
   * 结束时间
   */
  private String endTime;

  /**
   * 平台状态：0-正常；1-平台屏蔽
   */
  private Integer platformStatus;

  /**
   * 审核状态：0-待审核；1-已审核;
   */
  private Integer examineStatus;

  /**
   * 审核结果：0-未违规；1-疑似违规；2-违规
   */
  private Integer examineResult;
}
