package com.chelvc.cloud.vehicle.api.param;

import com.chelvc.cloud.vehicle.api.constant.DynamicType;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 动态列表查询
 * @ClassName: QueryContentDynamicDTO
 * @Author: ygl
 * @Date: 2023/2/25 21:45
 * @Version: 1.0
 */
@Data
public class QueryDynamicContentParam implements Serializable {

    private static final long serialVersionUID = 5355086476144764757L;
    /**
     * 搜索关键字
     */
    private String keyWord;
    /**
     * 筛选类型 ATTENTION-关注；LATEST-最新；HOTTEST-最热
     */
    @NotNull(message = "筛选类型不能为空")
    private DynamicType type;

    private Long userId;
}
