package com.chelvc.cloud.vehicle.api.param;

import com.chelvc.cloud.vehicle.api.constant.ReserveStatus;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 预约记录查询参数
 *
 * @author qizai
 * @date 2023/9/9
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ReservationQueryParam implements Serializable {

    /**
     * 偏移预约记录ID
     */
    @Min(value = 1, message = "偏移预约记录ID不能小于1")
    private Long offset;

    /**
     * 查询数量
     */
    @NotNull(message = "查询数量不能为空")
    @Min(value = 1, message = "查询数量不能小于1")
    @Max(value = 20, message = "查询数量不能大于20")
    private Integer size;

    /**
     * 预约状态
     */
    private ReserveStatus status;
}
