package com.chelvc.cloud.vehicle.api.param;

import com.chelvc.cloud.vehicle.api.constant.CouponType;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 优惠卷领取记录更新参数
 *
 * @author 七仔
 * @date 2023/3/29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class UserCouponModifyParam implements Serializable {
    /**
     * 用户id
     */
    @NotNull(message = "用户ID不能为空")
	private Long userId;

    /**
     * 优惠券id
     */
    @NotNull(message = "优惠券ID不能为空")
	private Long couponId;

    /**
     * 优惠券类型
     */
    @NotNull(message = "优惠券类型不能为空")
	private CouponType type;

    /**
     * 是否已使用
     */
    @NotNull(message = "是否已使用不能为空")
    private Boolean used;

    /**
     * 使用时间
     */
	private Date usedTime;
}