package com.chelvc.cloud.vehicle.api.param;

import com.chelvc.cloud.vehicle.api.constant.CouponType;
import com.chelvc.cloud.vehicle.api.constant.UserCouponStatus;
import com.chelvc.framework.common.model.Paging;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * 优惠券领取记录查询参数
 *
 * @author 七仔
 * @date 2023/3/29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class UserCouponPagingParam implements Serializable {
    /**
     * 分页信息
     */
    @NotNull(message = "分页不能为空")
    private Paging paging;

    /**
     * 关键字
     */
    @Size(max = 100, message = "关键字长度不能大于100")
    private String keyword;

    /**
     * 优惠券类型
     */
    @NotNull(message = "优惠券类型不能为空")
    private CouponType type;

    /**
     * 用户优惠券状态
     */
    @NotNull(message = "用户优惠券状态不能为空")
    private UserCouponStatus status;
}
