package com.chelvc.cloud.vehicle.api.service;

import com.chelvc.cloud.vehicle.api.dto.CarouselImagesDTO;
import com.chelvc.cloud.vehicle.api.param.CarouselImagesModifyParam;
import com.chelvc.cloud.vehicle.api.param.CarouselImagesPagingParam;
import com.chelvc.framework.common.model.Pagination;

import java.util.List;

/**
 * 轮播图接口
 *
 * @author liude
 * @data 2023/12/31
 */
public interface CarouselImagesService {

    /**
     * 新增轮播图
     *
     * @param param 新增参数
     * @return 轮播图主键
     */
    Long addCarouselImages(CarouselImagesModifyParam param);

    /**
     * 修改轮播图
     *
     * @param id    轮播图主键
     * @param param 修改参数
     */
    void updateCarouselImages(Long id, CarouselImagesModifyParam param);

    /**
     * 查询轮播图
     *
     * @param param 查询参数
     * @return 轮播图分页信息
     */
    Pagination<CarouselImagesDTO> getCarouselImagesPaging(CarouselImagesPagingParam param);

    /**
     * 删除轮播图
     *
     * @param id    轮播图主键
     */
    void deleteCarouselImages(Long id);

    /**
     * 轮播图列表
     * @return
     */
    List<CarouselImagesDTO> listCarouselImages();
}
