package com.chelvc.cloud.vehicle.api.service;
import com.chelvc.cloud.vehicle.api.dto.CommissionConfigDTO;
import com.chelvc.cloud.vehicle.api.param.CarouselImagesPagingParam;
import com.chelvc.cloud.vehicle.api.param.CommissionConfigModifyParam;
import com.chelvc.cloud.vehicle.api.param.CommissionConfigPagingParam;
import com.chelvc.framework.common.model.Pagination;

/**
 * 邀请别人消费，邀请人数的不同抽成配置接口
 *
 * @author liude
 * @data 2023/12/31
 */
public interface CommissionConfigService {

    /**
     * 新增抽成配置
     *
     * @param param 新增参数
     * @return 抽成配置主键
     */
    Long addCommissionConfig(CommissionConfigModifyParam param);

    /**
     * 修改抽成配置
     *
     * @param id    抽成配置主键
     * @param param 修改参数
     */
    void updateCommissionConfig(Long id, CommissionConfigModifyParam param);

    /**
     * 查询抽成配置
     *
     * @param param 查询参数
     * @return 抽成配置分页信息
     */
    Pagination<CommissionConfigDTO> getCommissionConfigPaging(CommissionConfigPagingParam param);

    /**
     * 删除抽成配置
     *
     * @param id    抽成配置主键
     */
    void deleteCommissionConfig(Long id);

}
