package com.chelvc.cloud.vehicle.api.service;

import com.chelvc.cloud.vehicle.api.dto.FavoriteDTO;
import com.chelvc.cloud.vehicle.api.dto.MerchantDTO;
import com.chelvc.cloud.vehicle.api.param.FavoritePagingParam;
import com.chelvc.cloud.vehicle.api.param.FavoriteQueryParam;
import com.chelvc.framework.common.model.Pagination;

import java.util.List;

/**
 * 商品收藏接口
 *
 * @author liude
 * @date 2023/7/18
 */
public interface FavoriteService {
    /**
     * 收藏商家
     *
     * @param merchantId 商家ID
     * @return 收藏ID
     */
    Long addMerchantFavorite(Long merchantId);

    /**
     * 取消我的收藏
     *
     * @param id 收藏ID
     */
    void deleteMineFavorite(Long id);

    /**
     * 查询收藏列表
     *
     * @param param 查询参数
     * @return 收藏店铺分页信息
     */
    Pagination<MerchantDTO> getFavoriteMerchantPaging(FavoritePagingParam param);

    /**
     * 查询用户收藏店铺列表
     *
     * @param param 查询参数
     * @return 用户收藏店铺列表
     */
    List<FavoriteDTO> listFavoriteMerchants(FavoriteQueryParam param);
}
