package com.chelvc.cloud.vehicle.api.service;

import com.chelvc.cloud.vehicle.api.dto.*;
import com.chelvc.framework.common.model.Pagination;
import com.chelvc.framework.common.model.Paging;

public interface InformService {

    /**
     * 获取用户的订单通知列表
     *
     * @param paging 分页信息
     * @return 用户的订单列表
     */
    Pagination<OmsOrderOperateHistoryDTO> selectOmsOrderOperateHistoryListByUserId(Long userId, Paging paging);

    /**
     * 将新订单通知标识更改
     *
     */
    void changeUserOrderInformFlag(Long userId);

    /**
     * 查看是否有系统新消息
     *
     */
    NewInformDTO getNewInform(Long userId);

    /**
     * 获取用户的支付通知列表
     *
     * @param paging 分页信息
     * @return 用户的订单通知列表
     */
    Pagination<OmsOrderPayHistoryDTO> selectOmsOrderPayHistoryListByUserId(Long userId, Paging paging);

    /**
     * 将新订单通知标识更改
     *
     */
    void changeUserPayInformFlag(Long userId);

    /**
     * 取用户的点赞回复通知列表
     *
     * @param paging 分页信息
     * @return 用户的订单通知列表
     */
    Pagination<EvaluateDTO> selectEvaluateListByUserId(Long userId, Paging paging);

    /**
     * 将新点赞回复通知标识更改
     *
     */
    void changeEvaluateInformFlag(Long userId);

    /**
     * 取用户的评价通知列表
     *
     * @param paging 分页信息
     * @return 用户的评价通知列表
     */
    Pagination<CommentDTO> selectCommentListByUserId(Long userId, Paging paging);

    /**
     * 将新评价通知标识更改
     *
     */
    void changeCommentInformFlag(Long userId);

    /**
     * 取用户的优惠券通知列表
     *
     * @param paging 分页信息
     * @return 用户的评价通知列表
     */
    Pagination<UserCouponDTO> selectUserCouponListByUserId(Long userId, Paging paging);

    /**
     * 将优惠券通知标识更改
     *
     */
    void changeUserCouponInformFlag(Long userId);
}
