package com.chelvc.cloud.vehicle.api.service;
import com.chelvc.cloud.vehicle.api.dto.MerchantAuthDTO;
import com.chelvc.cloud.vehicle.api.param.MerchantAuthModifyParam;
import com.chelvc.cloud.vehicle.api.param.MerchantAuthPagingParam;
import com.chelvc.framework.common.model.Pagination;

/**
 * 商家认证业务接口
 *
 * @author liude
 * @data 2023/12/7
 */
public interface MerchantAuthService {

    /**
     * 新增商家认证
     *
     * @param param 新增参数
     * @return 主键
     */
    Long addMerchantAuth(MerchantAuthModifyParam param);

    /**
     * 修改商家认证
     *
     * @param id    主键
     * @param param 修改参数
     */
    void updateMerchantAuth(Long id, MerchantAuthModifyParam param);

    /**
     * 查询商家认证
     *
     * @param param 查询参数
     * @return 商家认证分页信息
     */
    Pagination<MerchantAuthDTO> getMerchantAuthPaging(MerchantAuthPagingParam param);
}
