package com.chelvc.cloud.vehicle.api.service;
import com.chelvc.cloud.vehicle.api.dto.NoticeDTO;
import com.chelvc.cloud.vehicle.api.param.NoticeModifyParam;
import com.chelvc.cloud.vehicle.api.param.NoticePagingParam;
import com.chelvc.framework.common.model.Pagination;

/**
 * 通知配置业务接口
 *
 * @author liude
 * @data 2023/12/7
 */
public interface NoticeService {

    /**
     * 新增通知
     *
     * @param param 新增参数
     * @return 主键
     */
    Long addNotice(NoticeModifyParam param);

    /**
     * 修改通知
     *
     * @param id    主键
     * @param param 修改参数
     */
    void updateNotice(Long id, NoticeModifyParam param);

    /**
     * 查询通知
     *
     * @param param 查询参数
     * @return 通知分页信息
     */
    Pagination<NoticeDTO> getNoticePaging(NoticePagingParam param);
}
