package com.chelvc.cloud.vehicle.api.service;

import com.chelvc.cloud.vehicle.api.dto.OmsOrderSettingDTO;
import com.chelvc.cloud.vehicle.api.param.OmsOrderSettingModifyParam;

import java.util.List;

/**
 * 订单设置Service接口
 * 
 * @author liude
 * @date 2023-11-08
 */
public interface OmsOrderSettingService
{
    /**
     * 查询订单设置
     * 
     * @param id 订单设置主键
     * @return 订单设置
     */
    public OmsOrderSettingDTO selectOmsOrderSettingById(Long id);

    /**
     * 查询订单设置列表
     * 
     * @param omsOrderSetting 订单设置
     * @return 订单设置集合
     */
    public List<OmsOrderSettingDTO> selectOmsOrderSettingList(OmsOrderSettingModifyParam omsOrderSetting);

    /**
     * 新增订单设置
     * 
     * @param omsOrderSetting 订单设置
     * @return 结果
     */
    public int insertOmsOrderSetting(OmsOrderSettingModifyParam omsOrderSetting);

    /**
     * 修改订单设置
     * 
     * @param omsOrderSetting 订单设置
     * @return 结果
     */
    public int updateOmsOrderSetting(OmsOrderSettingModifyParam omsOrderSetting);

    /**
     * 批量删除订单设置
     * 
     * @param ids 需要删除的订单设置主键集合
     * @return 结果
     */
    public int deleteOmsOrderSettingByIds(Long[] ids);

    /**
     * 删除订单设置信息
     * 
     * @param id 订单设置主键
     * @return 结果
     */
    public int deleteOmsOrderSettingById(Long id);
}
