package com.chelvc.cloud.vehicle.api.service;

import com.chelvc.cloud.vehicle.api.dto.ReservationDTO;
import com.chelvc.cloud.vehicle.api.param.ReservationModifyParam;
import com.chelvc.cloud.vehicle.api.param.ReservationQueryParam;

import java.util.List;

/**
 * 预约业务接口
 *
 * @author Woody
 * @date 2023/7/17
 */
public interface ReservationService {
    /**
     * 新增预约信息
     *
     * @param merchantId 商家ID
     * @param param      预约参数
     */
    void addReservation(Long merchantId, ReservationModifyParam param);

    /**
     * 查询用户预约列表
     *
     * @param param 查询参数
     * @return 用户预约列表
     */
    List<ReservationDTO> listUserReservations(ReservationQueryParam param);

    /**
     * 取消预约
     *
     * @param id    预约记录逐渐主键
     */
    void deleteReservation(Long id);
}
