package com.chelvc.cloud.vehicle.server.copier;

import com.chelvc.cloud.vehicle.api.dto.CarouselImagesDTO;
import com.chelvc.cloud.vehicle.api.param.CarouselImagesModifyParam;
import com.chelvc.cloud.vehicle.server.entity.CarouselImages;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * 轮播图拷贝接口
 *
 * @author liude
 * @date 2023/12/16
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface CarouselImagesCopier {
    /**
     * 对象拷贝接口实例
     */
    CarouselImagesCopier INSTANCE = Mappers.getMapper(CarouselImagesCopier.class);

    /**
     * 轮播图信息拷贝
     *
     * @param carouselImages 轮播图信息
     * @return 轮播图信息
     */
    CarouselImagesDTO copying(CarouselImages carouselImages);

    /**
     * 轮播图信息拷贝
     *
     * @param carouselImages 轮播图信息集合
     * @return 轮播图信息列表
     */
    List<CarouselImagesDTO> copying(Collection<CarouselImages> carouselImages);

    /**
     * 轮播图信息拷贝
     *
     * @param param 轮播图更新参数
     * @return 轮播图信息
     */
    CarouselImages copying(CarouselImagesModifyParam param);

    /**
     * 轮播图信息拷贝
     *
     * @param param    轮播图更新参数
     * @param carouselImages 轮播图信息
     */
    void copying(CarouselImagesModifyParam param, @MappingTarget CarouselImages carouselImages);
}
