package com.chelvc.cloud.vehicle.server.copier;

import com.chelvc.cloud.vehicle.api.dto.OmsCartItemDTO;
import com.chelvc.cloud.vehicle.api.param.OmsCartItemModifyParam;
import com.chelvc.cloud.vehicle.server.entity.OmsCartItem;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * 购物车信息拷贝接口
 *
 * @author liude
 * @date 2023/11/16
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface CartItemCopier {
    /**
     * 对象拷贝接口实例
     */
    CartItemCopier INSTANCE = Mappers.getMapper(CartItemCopier.class);

    /**
     *  购物车信息拷贝
     *
     * @param omsCartItem  购物车详情
     * @return  购物车信息
     */
    OmsCartItemDTO copying(OmsCartItem omsCartItem);


    /**
     *  购物车信息拷贝
     *
     * @param omsCartItem  购物车信息集合
     * @return  购物车信息列表
     */
    List<OmsCartItemDTO> copying(Collection<OmsCartItem> omsCartItem);

    /**
     *  购物车信息拷贝
     *
     * @param param  购物车更新参数
     * @return  购物车信息
     */
    OmsCartItem copying(OmsCartItemModifyParam param);

    /**
     *  购物车信息拷贝
     *
     * @param param     购物车更新参数
     * @param  omsCartItem  购物车信息
     */
    void copying( OmsCartItemModifyParam param, @MappingTarget OmsCartItem omsCartItem);
}
