package com.chelvc.cloud.vehicle.server.copier;

import com.chelvc.cloud.vehicle.api.dto.CarouselImagesDTO;
import com.chelvc.cloud.vehicle.api.dto.CommissionConfigDTO;
import com.chelvc.cloud.vehicle.api.param.CarouselImagesModifyParam;
import com.chelvc.cloud.vehicle.api.param.CommissionConfigModifyParam;
import com.chelvc.cloud.vehicle.server.entity.CarouselImages;
import com.chelvc.cloud.vehicle.server.entity.CommissionConfig;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * 邀请别人消费，邀请人数的不同抽成配置拷贝接口
 *
 * @author liude
 * @date 2023/12/16
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface CommissionConfigCopier {
    /**
     * 对象拷贝接口实例
     */
    CommissionConfigCopier INSTANCE = Mappers.getMapper(CommissionConfigCopier.class);

    /**
     * 抽成配置信息拷贝
     *
     * @param commissionConfig 抽成配置信息
     * @return 抽成配置信息
     */
    CommissionConfigDTO copying(CommissionConfig commissionConfig);

    /**
     * 抽成配置信息拷贝
     *
     * @param commissionConfigs 抽成配置信息集合
     * @return 抽成配置信息列表
     */
    List<CommissionConfigDTO> copying(Collection<CommissionConfig> commissionConfigs);

    /**
     * 抽成配置信息拷贝
     *
     * @param param 抽成配置更新参数
     * @return 抽成配置信息
     */
    CommissionConfig copying(CommissionConfigModifyParam param);

    /**
     * 抽成配置信息拷贝
     *
     * @param param    抽成配置更新参数
     * @param commissionConfig 抽成配置信息
     */
    void copying(CommissionConfigModifyParam param, @MappingTarget CommissionConfig commissionConfig);
}
