package com.chelvc.cloud.vehicle.server.copier;

import com.chelvc.cloud.vehicle.api.dto.CouponDTO;
import com.chelvc.cloud.vehicle.api.param.CouponModifyParam;
import com.chelvc.cloud.vehicle.server.entity.Coupon;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

/**
 * 优惠券对象拷贝接口
 *
 * @author qizai
 * @date 2023/9/8
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface CouponCopier {
    /**
     * 对象拷贝接口实例
     */
    CouponCopier INSTANCE = Mappers.getMapper(CouponCopier.class);

    /**
     * 优惠券信息拷贝
     *
     * @param coupon 优惠券信息
     * @return 优惠券信息
     */
    CouponDTO copying(Coupon coupon);

    /**
     * 优惠券信息拷贝
     *
     * @param param 优惠券更新参数
     * @return 优惠券信息
     */
    Coupon copying(CouponModifyParam param);

    /**
     * 优惠券信息拷贝
     *
     * @param param  优惠券更新参数
     * @param coupon 优惠券信息
     */
    void copying(CouponModifyParam param, @MappingTarget Coupon coupon);
}
