package com.chelvc.cloud.vehicle.server.copier;

import com.chelvc.cloud.vehicle.api.dto.HotMerchantDTO;
import com.chelvc.cloud.vehicle.api.param.HotMerchantModifyParam;
import com.chelvc.cloud.vehicle.server.entity.HotMerchant;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * 热门搜索拷贝接口
 *
 * @author liude
 * @date 2023/12/16
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface HotMerchantCopier {
    /**
     * 对象拷贝接口实例
     */
    HotMerchantCopier INSTANCE = Mappers.getMapper(HotMerchantCopier.class);

    /**
     * 热门搜索信息拷贝
     *
     * @param hotMerchant 热门搜索信息
     * @return 热门搜索信息
     */
    HotMerchantDTO copying(HotMerchant hotMerchant);

    /**
     * 热门搜索信息拷贝
     *
     * @param hotMerchants 热门搜索信息集合
     * @return 热门搜索信息列表
     */
    List<HotMerchantDTO> copying(Collection<HotMerchant> hotMerchants);

    /**
     * 热门搜索信息拷贝
     *
     * @param param 热门搜索更新参数
     * @return 热门搜索信息
     */
    HotMerchant copying(HotMerchantModifyParam param);

    /**
     * 热门搜索信息拷贝
     *
     * @param param   热门搜索更新参数
     * @param hotMerchant 热门搜索信息
     */
    void copying(HotMerchantModifyParam param, @MappingTarget HotMerchant hotMerchant);
}
