package com.chelvc.cloud.vehicle.server.copier;
import com.chelvc.cloud.vehicle.api.dto.NoticeDTO;
import com.chelvc.cloud.vehicle.api.dto.OmsOrderDTO;
import com.chelvc.cloud.vehicle.api.param.NoticeModifyParam;
import com.chelvc.cloud.vehicle.api.param.OmsOrderModifyParam;
import com.chelvc.cloud.vehicle.server.entity.Notice;
import com.chelvc.cloud.vehicle.server.entity.OmsOrder;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * 通知配置拷贝接口
 *
 * @author liude
 * @date 2023/12/20
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface NoticeCopier {
    /**
     * 对象拷贝接口实例
     */
    NoticeCopier INSTANCE = Mappers.getMapper(NoticeCopier.class);

    /**
     * 通知配置拷贝
     *
     * @param notice 通知配置
     * @return 通知配置
     */
    NoticeDTO copying(Notice notice);

    /**
     * 通知配置信息拷贝
     *
     * @param notices 通知配置信息集合
     * @return 通知配置信息列表
     */
    List<NoticeDTO> copying(Collection<Notice> notices);

    /**
     * 通知配置信息拷贝
     *
     * @param param 通知配置更新参数
     * @return 通知配置信息
     */
    Notice copying(NoticeModifyParam param);

    /**
     * 通知配置信息拷贝
     *
     * @param param    通知配置更新参数
     * @param notice 通知配置信息
     */
    void copying(NoticeModifyParam param, @MappingTarget Notice notice);
}
