package com.chelvc.cloud.vehicle.server.copier;

import com.chelvc.cloud.vehicle.api.dto.OmsOrderOperateHistoryDTO;
import com.chelvc.cloud.vehicle.server.entity.OmsOrderOperateHistory;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * 订单记录信息拷贝接口
 *
 * @author igl
 * @date 2023/12/13
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface OmsOrderOperateHistoryCopier {
    /**
     * 对象拷贝接口实例
     */
    OmsOrderOperateHistoryCopier INSTANCE = Mappers.getMapper(OmsOrderOperateHistoryCopier.class);

    /**
     * 订单信息拷贝
     *
     * @param omsOrderOperateHistory 订单记录信息
     * @return 订单记录信息
     */
    OmsOrderOperateHistoryDTO copying(OmsOrderOperateHistory omsOrderOperateHistory);

    /**
     * 订单信息列表拷贝
     *
     * @param omsOrderOperateHistories 订单记录信息
     * @return 订单记录信息
     */
    List<OmsOrderOperateHistoryDTO> copying(Collection<OmsOrderOperateHistory> omsOrderOperateHistories);
}
