package com.chelvc.cloud.vehicle.server.copier;
import com.chelvc.cloud.vehicle.api.dto.OmsOrderDTO;
import com.chelvc.cloud.vehicle.api.param.OmsOrderModifyParam;
import com.chelvc.cloud.vehicle.server.entity.OmsOrder;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * 订单信息拷贝接口
 *
 * @author liude
 * @date 2023/11/20
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface OrderCopier {
    /**
     * 对象拷贝接口实例
     */
    OrderCopier INSTANCE = Mappers.getMapper(OrderCopier.class);

    /**
     * 订单信息拷贝
     *
     * @param omsOrder 订单信息
     * @return 订单信息
     */
    OmsOrderDTO copying(OmsOrder omsOrder);

    /**
     * 订单信息拷贝
     *
     * @param omsOrders 订单信息集合
     * @return 订单信息列表
     */
    List<OmsOrderDTO> copying(Collection<OmsOrder> omsOrders);

    /**
     * 订单信息拷贝
     *
     * @param param 订单更新参数
     * @return 订单信息
     */
    OmsOrder copying(OmsOrderModifyParam param);

    /**
     * 订单信息拷贝
     *
     * @param param    订单更新参数
     * @param omsOrder 订单信息
     */
    void copying(OmsOrderModifyParam param, @MappingTarget OmsOrder omsOrder);
}
