package com.chelvc.cloud.vehicle.server.copier;

import com.chelvc.cloud.vehicle.api.dto.ReservationDTO;
import com.chelvc.cloud.vehicle.api.param.ReservationModifyParam;
import com.chelvc.cloud.vehicle.server.entity.Reservation;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.Named;
import org.mapstruct.factory.Mappers;

/**
 * 预约信息拷贝接口
 *
 * @author Woody
 * @date 2023/7/17
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface ReservationCopier {
    /**
     * 对象拷贝接口实例
     */
    ReservationCopier INSTANCE = Mappers.getMapper(ReservationCopier.class);

    /**
     * 预约信息拷贝
     *
     * @param param 预约更新参数
     * @return 预约信息
     */
    Reservation copying(ReservationModifyParam param);

    /**
     * 预约信息拷贝
     *
     * @param reservation 预约信息
     * @return 预约信息
     */
    @Named("entity2dto")
    ReservationDTO copying(Reservation reservation);
}
