package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chelvc.cloud.vehicle.api.dto.DynamicCommentDTO;
import com.chelvc.cloud.vehicle.server.entity.DynamicComment;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;
import org.springframework.stereotype.Repository;

/**
 * 动态评论Mapper接口
 *
 * @author igl
 * @date 2023-02-25
 */
@Mapper
@Repository
public interface DynamicCommentMapper extends BaseMapper<DynamicComment> {

    @Update("update dynamic_comment set good_num = good_num + 1 where id = #{contentId}")
    int addGoodNum(Long contentId);

    @Update("update dynamic_comment set good_num = good_num - 1 where id = #{contentId}")
    int reduceGoodNum(Long contentId);

    @Update("update dynamic_comment set bad_num = bad_num + 1 where id = #{contentId}")
    int addBadNum(Long contentId);

    @Update("update dynamic_comment set bad_num = bad_num - 1 where id = #{contentId}")
    int reduceBadNum(Long contentId);

    @Update("update dynamic_comment set platform_status = #{type} where deleted = 0 and  user_id = #{userId}")
    int shieldByUserId(@Param("userId")Long userId, @Param("type")int type);

    @Update("update dynamic_comment set comment_num = comment_num + 1 where id = #{dynamicId}")
    int addComment(Long dynamicId);

    IPage<DynamicCommentDTO> queryAll(@Param("page") Page<DynamicCommentDTO> page, @Param(Constants.WRAPPER) QueryWrapper<DynamicComment> queryWrapper);
}
