package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chelvc.cloud.vehicle.api.param.FavoriteQueryParam;
import com.chelvc.cloud.vehicle.api.param.UserCouponQueryParam;
import com.chelvc.cloud.vehicle.server.entity.Favorite;
import com.chelvc.cloud.vehicle.server.entity.UserCoupon;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户收藏数据操作接口
 *
 * @author Woody
 * @date 2023/7/17
 */
@Mapper
public interface FavoriteMapper extends BaseMapper<Favorite> {
    /**
     * 创建或忽略收藏信息
     *
     * @param favorite 收藏信息
     * @return true/false
     */
    boolean saveFavorite(Favorite favorite);

    /**
     * 查询用户收藏店铺列表
     *
     * @param param 查询参数
     * @return 用户收藏店铺列表
     */
    List<Favorite> listFavoriteMerchants(@Param("userId") Long userId, @Param("param") FavoriteQueryParam param);
}
