package com.chelvc.cloud.vehicle.server.dao;

import com.chelvc.cloud.vehicle.server.entity.HelpCategory;

import java.util.List;

/**
 * 帮助分类Mapper接口
 * 
 * @author liude
 * @date 2023-11-08
 */
public interface HelpCategoryMapper 
{
    /**
     * 查询帮助分类
     * 
     * @param id 帮助分类主键
     * @return 帮助分类
     */
    public HelpCategory selectHelpCategoryById(Long id);

    /**
     * 查询帮助分类列表
     * 
     * @param helpCategory 帮助分类
     * @return 帮助分类集合
     */
    public List<HelpCategory> selectHelpCategoryList(HelpCategory helpCategory);

    /**
     * 新增帮助分类
     * 
     * @param helpCategory 帮助分类
     * @return 结果
     */
    public int insertHelpCategory(HelpCategory helpCategory);

    /**
     * 修改帮助分类
     * 
     * @param helpCategory 帮助分类
     * @return 结果
     */
    public int updateHelpCategory(HelpCategory helpCategory);

    /**
     * 删除帮助分类
     * 
     * @param id 帮助分类主键
     * @return 结果
     */
    public int deleteHelpCategoryById(Long id);

    /**
     * 批量删除帮助分类
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHelpCategoryByIds(Long[] ids);
}
