package com.chelvc.cloud.vehicle.server.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chelvc.cloud.vehicle.api.dto.OmsOrderSettingExampleDTO;
import com.chelvc.cloud.vehicle.server.entity.OmsOrderSetting;
import org.apache.ibatis.annotations.Mapper;

/**
 * 订单设置Mapper接口
 * 
 * @author liude
 * @date 2023-11-08
 */
@Mapper
public interface OmsOrderSettingMapper extends BaseMapper<OmsOrderSetting>
{
    /**
     * 查询订单设置
     * 
     * @param id 订单设置主键
     * @return 订单设置
     */
    public OmsOrderSetting selectOmsOrderSettingById(Long id);

    /**
     * 查询订单设置列表
     * 
     * @param omsOrderSetting 订单设置
     * @return 订单设置集合
     */
    public List<OmsOrderSetting> selectOmsOrderSettingList(OmsOrderSetting omsOrderSetting);

    /**
     * 新增订单设置
     * 
     * @param omsOrderSetting 订单设置
     * @return 结果
     */
    public int insertOmsOrderSetting(OmsOrderSetting omsOrderSetting);

    /**
     * 修改订单设置
     * 
     * @param omsOrderSetting 订单设置
     * @return 结果
     */
    public int updateOmsOrderSetting(OmsOrderSetting omsOrderSetting);

    /**
     * 删除订单设置
     * 
     * @param id 订单设置主键
     * @return 结果
     */
    public int deleteOmsOrderSettingById(Long id);

    /**
     * 批量删除订单设置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOmsOrderSettingByIds(Long[] ids);

    List<OmsOrderSetting> selectByExample(OmsOrderSettingExampleDTO example);

    OmsOrderSetting selectByPrimaryKey(Long id);
}
