package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.chelvc.framework.database.entity.Entity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 轮播图数据模型
 *
 * @author liude
 * @date 2023/12/16
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CarouselImages implements Entity<Long> {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 标题
     */
    private String title;

    /**
     * 跳转地址
     */
    private String url;

    /**
     * 图片路径
     */
    private String viewUrl;

    /**
     * 状态 0- 无效 1-有效
     */
    private String status;

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 创建人
     */
    private String creator;
    /**
     * 更新人
     */
    private String updater;
    /**
     * 图片描述
     */
    private String remark;
    /**
     * 排序
     */
    private Integer seq;
    /**
     * 适用途径 1-首页
     */
    private String applyWay;
    /**
     * 开始时间
     */
    private Date startTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 点击量
     */
    private Integer hits;


}
