package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.chelvc.framework.database.entity.Entity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 邀请别人消费，邀请人数的不同抽成配置数据模型
 *
 * @author liude
 * @date 2023/12/16
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CommissionConfig implements Entity<Long> {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 最小邀请人数
     */
    private Integer minInvitees;

    /**
     * 最大邀请人数
     */
    private Integer maxInvitees;

    /**
     * 抽成比例
     */
    private BigDecimal commissionRate;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 创建人
     */
    private Long creator;
    /**
     * 更新人
     */
    private Long updater;


}
