package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.framework.database.entity.Entity;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 动态评论对象 dynamic_comment
 *
 * @author igl
 * @date 2023-02-25
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName(autoResultMap = true)
public class DynamicComment implements Entity<Long> {

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 动态标识
     */
    private Long dynamicId;
    /**
     * 用户标识
     */
    private Long userId;
    /**
     * 父级评论(0表示为根评论)
     */
    private Long parentId;
    /**
     * 评论内容
     */
    private String content;
    /**
     * 评论数
     */
    private Long commentNum;
    /**
     * 点赞数
     */
    private Long goodNum;
    /**
     * 差评数
     */
    private Long badNum;
    /**
     * 状态：0-正常；1-屏蔽
     */
    private Integer status;
    /**
     * 平台状态：0-正常；1-屏蔽
     */
    private Integer platformStatus;
    /**
     * 审核状态：0-待审核；1-已审核
     */
    private Integer examineStatus;
    /**
     * 审核结果：0-未违规；1-疑似违规；2-违规
     */
    private Integer examineResult;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
}
