package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.framework.database.entity.Entity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 动态信息对象 dynamic_content
 *
 * @author igl
 * @date 2023-02-25
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName(autoResultMap = true)
public class DynamicContent implements Entity<Long> {

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户标识
     */
    private Long userId;
    /**
     * 动态类型:1-纯文字；2-图片；3-视频
     */
    private Integer type;
    /**
     * 文字内容
     */
    private String textContent;
    /**
     * 评论数
     */
    private Long commentNum;
    /**
     * 点赞数
     */
    private Long goodNum;
    /**
     * 差评数
     */
    private Long badNum;
    /**
     * 状态：0-正常；1-屏蔽
     */
    private Integer status;
    /**
     * 平台状态：0-正常；1-屏蔽
     */
    private Integer platformStatus;
    /**
     * 审核状态：0-待审核；1-已审核
     */
    private Integer examineStatus;
    /**
     * 审核结果：0-未违规；1-疑似违规；2-违规
     */
    private Integer examineResult;
    /**
     * 定位
     */
    private String location;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
}
