package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.chelvc.framework.database.entity.Entity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 内容评价(点赞/踩)列对象 dynamic_evaluate_record
 *
 * @author igl
 * @date 2023-02-25
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName(autoResultMap = true)
public class DynamicEvaluateRecord implements Entity<Long> {

    private static final long serialVersionUID=1L;

    /**
     * 唯一标识
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 用户标识
     */
    private Long userId;
    /**
     * 用户标识
     */
    private Long targetUserId;
    /**
     * 操作类型：1-点赞；2-踩；3-回复
     */
    private Integer operaterType;
    /**
     * 内容类型：1-动态；2-评论/回复
     */
    private Integer contentType;
    /**
     * 内容标识
     */
    private Long contentId;
    /**
     * 标识：0-未读；1-已读
     */
    private Integer flag;
    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;
}
