package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.framework.database.entity.Entity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 动态文件对象 dynamic_resource
 *
 * @author igl
 * @date 2023-02-25
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName(autoResultMap = true)
public class DynamicResource implements Entity<Long> {

    private static final long serialVersionUID=1L;

    /**
     * 唯一标识
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 动态标识
     */
    private Long dynamicId;
    /**
     * 文件标识
     */
    private String resourceKey;
    /**
     * 资源首帧
     */
    private String resourceFrame;
    /**
     * 显示顺序
     */
    private Long sort;

}
