package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.chelvc.framework.database.entity.Entity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 热门搜索数据模型
 *
 * @author liude
 * @data 2023/12/31
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class HotMerchant implements Entity<Long> {
    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 商家id
     */
    private Long merchantId;

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 创建人
     */
    private Long creator;
    /**
     * 点击次数
     */
    private Integer count;
}
