package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.chelvc.framework.database.entity.Entity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 邀请别人消费，邀请人数的不同抽成配置数据模型
 *
 * @author liude
 * @date 2023/12/22
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class IncomeRecord implements Entity<Long> {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 邀请用户id
     */
    private Long inviterId;

    /**
     * 被邀请用户id
     */
    private Long inviteeId;

    /**
     * 商品ID
     */
    private Long goodsId;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 配置ID
     */
    private Long configId;

    /**
     * 邀请产生的金额或数量
     */
    private BigDecimal amount;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;


}
