package com.chelvc.cloud.vehicle.server.entity;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.framework.database.entity.ModifyEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

/**
 * 购物车对象 oms_cart_item
 * 
 * @author liude
 * @date 2023-11-08
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class OmsCartItem extends ModifyEntity<Long>
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /** $column.columnComment */
    private Long goodsId;

    /** $column.columnComment */
    private Long goodsSkuId;

    /** $column.columnComment */
    private Long userId;

    /** 购买数量 */
    private Integer quantity;

    /** 添加到购物车的价格 */
    private BigDecimal price;

    /** 商品主图 */
    private String goodsPic;

    /** 商品名称 */
    private String goodsName;

    /** 商品副标题（卖点） */
    private String goodsSubTitle;

    /** 商品sku条码 */
    private String goodsSkuCode;

    /** 会员昵称 */
    private String memberNickname;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updateTime;

    /** 是否删除 */
    private Integer deleteStatus;

    /** 商品分类 */
    private Long goodsCategoryId;

    /** $column.columnComment */
    private String goodsBrand;

    /** $column.columnComment */
    private String goodsSn;

    /** 商品销售属性:[{"key":"颜色","value":"颜色"},{"key":"容量","value":"4G"}] */
    private String goodsAttr;

    private Long creator;

    private Long updater;

}
