package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.framework.database.entity.ModifyEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

/**
 * 订单操作付款记录对象 oms_order_operate_history
 * 
 * @author igl
 * @date 2023-12-15
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class OmsOrderPayHistory extends ModifyEntity<Long>
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /** 订单id */
    private Long orderId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 订单消息标识：0-新消息；1-已查看
     */
    private Integer flag;

    /** 备注 */
    private String note;
}
