package com.chelvc.cloud.vehicle.server.entity;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.framework.database.entity.ModifyEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

/**
 * 订单退货申请对象 oms_order_return_apply
 * 
 * @author liude
 * @date 2023-11-08
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class OmsOrderReturnApply extends ModifyEntity<Long>
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /** 订单id */
    private Long orderId;

    /** 收货地址表id */
    private Long companyAddressId;

    /** 退货商品id */
    private Long productId;

    /** 订单编号 */
    private String orderSn;

    /** 会员用户名 */
    private String memberUsername;

    /** 退款金额 */
    private BigDecimal returnAmount;

    /** 退货人姓名 */
    private String returnName;

    /** 退货人电话 */
    private String returnPhone;

    /** 申请状态：0->待处理；1->退货中；2->已完成；3->已拒绝 */
    private Long status;

    /** 处理时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")

    private Date handleTime;

    /** 商品图片 */

    private String productPic;

    /** 商品名称 */
    private String productName;

    /** 商品品牌 */
    private String productBrand;

    /** 商品销售属性：颜色：红色；尺码：xl; */
    private String productAttr;

    /** 退货数量 */
    private Long productCount;

    /** 商品单价 */
    private BigDecimal productPrice;

    /** 商品实际支付单价 */
    private BigDecimal productRealPrice;

    /** 原因 */
    private String reason;

    /** 描述 */
    private String description;

    /** 凭证图片，以逗号隔开 */
    private String proofPics;

    /** 处理备注 */
    private String handleNote;

    /** 处理人员 */
    private String handleMan;

    /** 收货人 */
    private String receiveMan;

    /** 收货时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date receiveTime;

    /** 收货备注 */
    private String receiveNote;
}
