package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.framework.database.entity.ModifyEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

/**
 * 订单设置对象 oms_order_setting
 * 
 * @author liude
 * @date 2023-11-08
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class OmsOrderSetting extends ModifyEntity<Long>
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /** 秒杀订单超时关闭时间(分) */
    private Long flashOrderOvertime;

    /** 正常订单超时时间(分) */
    private Integer normalOrderOvertime;

    /** 发货后自动确认收货时间（天） */
    private Integer confirmOvertime;

    /** 自动完成交易时间，不能申请售后（天） */
    private Long finishOvertime;

    /** 订单完成后自动好评时间（天） */
    private Long commentOvertime;
}
