package com.chelvc.cloud.vehicle.server.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.chelvc.cloud.vehicle.api.constant.ReserveStatus;
import com.chelvc.cloud.vehicle.api.dto.MerchantDTO;
import com.chelvc.framework.database.entity.ModifyEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

/**
 * 预约记录数据模型
 *
 * @author Woody
 * @date 2023/7/17
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class Reservation extends ModifyEntity<Long> {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 商家ID
     */
    private Long merchantId;

    /**
     * 联系电话
     */
    private String mobile;

    /**
     * 约定时间
     */
    private Date appointTime;

    /**
     * 预约状态
     */
    private ReserveStatus status;

    /**
     * 商家信息
     */
    @TableField(exist = false)
    private MerchantDTO merchant;
}
