package com.chelvc.cloud.vehicle.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.api.dto.CommentDTO;
import com.chelvc.cloud.vehicle.api.param.CommentQueryParam;
import com.chelvc.cloud.vehicle.server.entity.Comment;
import com.chelvc.framework.common.model.Pagination;
import com.chelvc.framework.common.model.Paging;

import java.util.List;

/**
 * 商家评论业务接口
 *
 * @author xp
 * @data 2023/3/31
 */
public interface CommentService extends IService<Comment> {
    /**
     * 获取商品评价列表
     *
     * @param goodsId 商品ID
     * @param param   查询参数
     * @return 评价列表
     */
    List<CommentDTO> listGoodsComments(Long goodsId, CommentQueryParam param);

    /**
     * 查询商品评价新消息数
     * @param userId
     * @return
     */
    Integer queryNewInformNum(Long userId);

    /**
     * 将评价通知标识更改
     *
     * @param userId 用户id
     */
    void changeCommentInformFlag(Long userId);

    Pagination<CommentDTO> selectCommentListByUserId(Long userId, Paging paging);
}
