package com.chelvc.cloud.vehicle.server.service;


import com.chelvc.cloud.vehicle.api.dto.DynamicEvaluateRecordDTO;
import com.chelvc.cloud.vehicle.api.dto.EvaluateDTO;
import com.chelvc.cloud.vehicle.api.param.AddDynamicEvaluateRecordParam;
import com.chelvc.framework.common.model.Pagination;
import com.chelvc.framework.common.model.Paging;

/**
 * 内容评价(点赞/踩)列Service接口
 *
 * @author igl
 * @date 2023-02-25
 */
public interface DynamicEvaluateRecordService {

    /**
     * 修改内容评价(点赞/踩)列
     */
    Boolean updateRecord(AddDynamicEvaluateRecordParam param, Long userId);

    DynamicEvaluateRecordDTO queryOperaterType(Long id, Long userId, Integer recordType);

    /**
     * 查看新消息数
     * @param userId
     * @return
     */
    Integer queryNewInformNum(Long userId);

    /**
     * 将新点赞回复通知标识更改
     *
     * @param userId 用户id
     */
    void changeEvaluateInformFlag(Long userId);

    Pagination<EvaluateDTO> selectEvaluateListByUserId(Long userId, Paging paging);
}
