package com.chelvc.cloud.vehicle.server.service;

import java.util.List;

import com.chelvc.cloud.vehicle.server.entity.Help;

/**
 * 帮助Service接口
 * 
 * @author liude
 * @date 2023-11-08
 */
public interface IHelpService 
{
    /**
     * 查询帮助
     * 
     * @param id 帮助主键
     * @return 帮助
     */
    public Help selectHelpById(Long id);

    /**
     * 查询帮助列表
     * 
     * @param help 帮助
     * @return 帮助集合
     */
    public List<Help> selectHelpList(Help help);

    /**
     * 新增帮助
     * 
     * @param help 帮助
     * @return 结果
     */
    public int insertHelp(Help help);

    /**
     * 修改帮助
     * 
     * @param help 帮助
     * @return 结果
     */
    public int updateHelp(Help help);

    /**
     * 批量删除帮助
     * 
     * @param ids 需要删除的帮助主键集合
     * @return 结果
     */
    public int deleteHelpByIds(Long[] ids);

    /**
     * 删除帮助信息
     * 
     * @param id 帮助主键
     * @return 结果
     */
    public int deleteHelpById(Long id);
}
