package com.chelvc.cloud.vehicle.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.api.dto.UserCouponDTO;
import com.chelvc.cloud.vehicle.server.entity.UserCoupon;
import com.chelvc.framework.common.model.Pagination;
import com.chelvc.framework.common.model.Paging;

/**
 * 优惠券领取业务操作接口
 *
 * @author Woody
 * @date 2023/7/17
 */
public interface UserCouponService extends IService<UserCoupon> {

    /**
     * 查询可使用优惠券数量
     * @param userId
     * @return
     */
    Integer queryNewInformNum(Long userId);

    /**
     * 将新优惠券通知标识更改
     *
     * @param userId 用户id
     */
    void changeUserCouponInformFlag(Long userId);

    Pagination<UserCouponDTO> selectUserCouponListByUserId(Long userId, Paging paging);
}
