package com.chelvc.cloud.vehicle.server.service.impl;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.api.dto.MerchantDTO;
import com.chelvc.cloud.vehicle.api.param.HotMerchantModifyParam;
import com.chelvc.cloud.vehicle.server.copier.HotMerchantCopier;
import com.chelvc.cloud.vehicle.server.dao.HotMerchantMapper;
import com.chelvc.cloud.vehicle.server.entity.HotMerchant;
import com.chelvc.cloud.vehicle.server.service.HotMerchantService;
import com.chelvc.framework.base.context.SessionContextHolder;
import lombok.NonNull;
import org.apache.dubbo.config.annotation.DubboService;

import java.util.Date;
import java.util.List;

/**
 * 热门搜索业务操作实现
 *
 * @author liude
 * @date 2023/12/16
 */
@DubboService(interfaceClass = com.chelvc.cloud.vehicle.api.service.HotMerchantService.class)
public class HotMerchantServiceImpl extends ServiceImpl<HotMerchantMapper, HotMerchant> implements HotMerchantService,
        com.chelvc.cloud.vehicle.api.service.HotMerchantService{
    @Override
    public Long addHotMerchant(@NonNull Long id) {
        HotMerchant hotMerchant = new HotMerchant();
        hotMerchant.setMerchantId(id);
        Long userId = SessionContextHolder.getId();
        hotMerchant.setUserId(userId);
        hotMerchant.setCreator(userId);
        hotMerchant.setCreateTime(new Date());
        hotMerchant.setCount(1);
        this.save(hotMerchant);
        return hotMerchant.getId();
    }

    @Override
    public List<MerchantDTO> listHotMerchant(){
        List<MerchantDTO> merchantList = this.baseMapper.listHotMerchant();
        return merchantList;
    }


    @Override
    public List<MerchantDTO> likeMerchant(){
        Long userId = SessionContextHolder.getId();
        return this.baseMapper.likeMerchant(userId);
    }
 }
