package com.chelvc.cloud.vehicle.server.service.impl;

import com.chelvc.cloud.vehicle.api.dto.*;
import com.chelvc.cloud.vehicle.api.service.InformService;
import com.chelvc.cloud.vehicle.server.service.UserCouponService;
import com.chelvc.cloud.vehicle.server.service.CommentService;
import com.chelvc.cloud.vehicle.server.service.DynamicEvaluateRecordService;
import com.chelvc.cloud.vehicle.server.service.IOmsOrderOperateHistoryService;
import com.chelvc.cloud.vehicle.server.service.OmsOrderPayHistoryService;
import com.chelvc.framework.common.model.Pagination;
import com.chelvc.framework.common.model.Paging;
import lombok.RequiredArgsConstructor;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
@DubboService(interfaceClass = com.chelvc.cloud.vehicle.api.service.InformService.class)
public class InformServiceImpl implements InformService {

    private final IOmsOrderOperateHistoryService omsOrderOperateHistoryService;

    private final DynamicEvaluateRecordService dynamicEvaluateRecordService;

    private final UserCouponService userCouponService;

    private final OmsOrderPayHistoryService omsOrderPayHistoryService;

    private final CommentService commentService;

    @Override
    public Pagination<OmsOrderOperateHistoryDTO> selectOmsOrderOperateHistoryListByUserId(Long userId, Paging paging) {
        return omsOrderOperateHistoryService.selectOmsOrderOperateHistoryListByUserId(userId, paging);
    }

    @Override
    public void changeUserOrderInformFlag(Long userId) {
        omsOrderOperateHistoryService.changeUserOrderInformFlag(userId);
    }

    @Override
    public NewInformDTO getNewInform(Long userId) {
        NewInformDTO newInformDTO = new NewInformDTO();
        Integer evaluate = dynamicEvaluateRecordService.queryNewInformNum(userId);
        newInformDTO.setEvaluate(evaluate);
        Integer order = omsOrderOperateHistoryService.queryNewInformNum(userId);
        newInformDTO.setOrder(order);
        Integer coupon = userCouponService.queryNewInformNum(userId);
        newInformDTO.setCoupon(coupon);
        Integer pay = omsOrderPayHistoryService.queryNewInformNum(userId);
        newInformDTO.setPay(pay);
        Integer comment = commentService.queryNewInformNum(userId);
        newInformDTO.setComment(comment);
        return newInformDTO;
    }

    @Override
    public Pagination<OmsOrderPayHistoryDTO> selectOmsOrderPayHistoryListByUserId(Long userId, Paging paging) {
        return null;
    }

    @Override
    public void changeUserPayInformFlag(Long userId) {
        omsOrderPayHistoryService.changeUserPayInformFlag(userId);
    }

    @Override
    public Pagination<EvaluateDTO> selectEvaluateListByUserId(Long userId, Paging paging) {
        return dynamicEvaluateRecordService.selectEvaluateListByUserId(userId, paging);
    }

    @Override
    public void changeEvaluateInformFlag(Long userId) {
        dynamicEvaluateRecordService.changeEvaluateInformFlag(userId);
    }

    @Override
    public Pagination<CommentDTO> selectCommentListByUserId(Long userId, Paging paging) {
        return commentService.selectCommentListByUserId(userId, paging);
    }

    @Override
    public void changeCommentInformFlag(Long userId) {
        commentService.changeCommentInformFlag(userId);
    }

    @Override
    public Pagination<UserCouponDTO> selectUserCouponListByUserId(Long userId, Paging paging) {
        return userCouponService.selectUserCouponListByUserId(userId, paging);
    }

    @Override
    public void changeUserCouponInformFlag(Long userId) {
        userCouponService.changeUserCouponInformFlag(userId);
    }
}
