package com.chelvc.cloud.vehicle.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.api.dto.OmsOrderItemDTO;
import com.chelvc.cloud.vehicle.api.dto.OmsOrderItemExampleDTO;
import com.chelvc.cloud.vehicle.server.dao.OmsOrderItemMapper;
import com.chelvc.cloud.vehicle.server.entity.OmsOrderItem;
import com.chelvc.cloud.vehicle.server.service.IOmsOrderItemService;
import lombok.RequiredArgsConstructor;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * 订单中所包含的商品Service业务层处理
 * 
 * @author liude
 * @date 2023-11-08
 */
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
@DubboService(interfaceClass = com.chelvc.cloud.vehicle.api.service.OmsOrderItemService.class)
public class OmsOrderItemServiceImpl extends ServiceImpl<OmsOrderItemMapper, OmsOrderItem> implements IOmsOrderItemService,
        com.chelvc.cloud.vehicle.api.service.OmsOrderItemService {
    @Override
    public void add(List<OmsOrderItem> omsOrderItemList){
        omsOrderItemList.forEach(item ->{
            this.baseMapper.insert(item);
        });

    }

    @Override
    public List<OmsOrderItem> selectByExample(OmsOrderItem omsOrderItem){
        return this.lambdaQuery().eq(OmsOrderItem::getGoodsId,omsOrderItem.getGoodsId()).list();
    }


}
