package com.chelvc.cloud.vehicle.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.server.dao.OmsOrderPayHistoryMapper;
import com.chelvc.cloud.vehicle.server.entity.OmsOrderPayHistory;
import com.chelvc.cloud.vehicle.server.service.OmsOrderPayHistoryService;
import org.springframework.stereotype.Service;

@Service
public class OmsOrderPayHistoryServiceImpl extends ServiceImpl<OmsOrderPayHistoryMapper, OmsOrderPayHistory> implements OmsOrderPayHistoryService {

    @Override
    public Integer queryNewInformNum(Long userId) {
        LambdaQueryWrapper<OmsOrderPayHistory> lwq = Wrappers.lambdaQuery();
        lwq.eq(OmsOrderPayHistory::getUserId, userId);
        lwq.eq(OmsOrderPayHistory::getFlag, 0);
        return baseMapper.selectCount(lwq);
    }

    @Override
    public void changeUserPayInformFlag(Long userId) {
        LambdaUpdateWrapper<OmsOrderPayHistory> lwq = Wrappers.lambdaUpdate();
        lwq.eq(OmsOrderPayHistory::getUserId, userId);
        lwq.eq(OmsOrderPayHistory::getFlag, 0);
        lwq.set(OmsOrderPayHistory::getFlag, 1);
        baseMapper.update(null, lwq);
    }
}
